add osmclient build
[osm/devops.git] / jenkins / osmclient / start_build
diff --git a/jenkins/osmclient/start_build b/jenkins/osmclient/start_build
new file mode 100755 (executable)
index 0000000..2aaeadc
--- /dev/null
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+#   Copyright 2017 Sandvine
+#
+#   Licensed under the Apache License, Version 2.0 (the "License");
+#   you may not use this file except in compliance with the License.
+#   You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+# 
+# Authors:
+#    - Michael Marchetti - mmarchetti@sandvine.com
+# 
+
+HERE=$(realpath $(dirname $0))
+OSM_JENKINS=$(dirname $HERE)
+. $OSM_JENKINS/common/all_funcs
+
+# SET YOU MDG repository name here
+export OSM_MDG=osmclient
+OSM_load_config
+
+NOTEST=""
+if [ "$1" = "--notest" ]; then
+    shift
+    NOTEST="y"
+fi
+
+OSM_git_checkout "$@"
+
+apt-get update
+apt-get install -y make
+make build_tools
+make test
+make package
+
+RC=$?
+INFO "done, RC=$RC"
+exit $RC